Index: trunk/src/VBox/Main/idl/VirtualBox.xidl
===================================================================
--- trunk/src/VBox/Main/idl/VirtualBox.xidl	(revision 98351)
+++ trunk/src/VBox/Main/idl/VirtualBox.xidl	(revision 98352)
@@ -3218,5 +3218,5 @@
 
     <method name="createMedium">
-      <rest name="create" request="post" path="/mediums/"/>
+      <rest name="create" request="post" path="/media/"/>
       <desc>
         Creates a new base medium object that will use the given storage
@@ -8231,5 +8231,5 @@
 
     <method name="unmountMedium">
-      <rest name="unmount" request="post" path="/vms/{vmid}/mediums/{mediumid}/actions/"/>
+      <rest name="unmount" request="post" path="/vms/{vmid}/media/{mediumid}/actions/"/>
       <desc>
         Unmounts any currently mounted medium (<link to="IMedium" />,
@@ -8284,5 +8284,5 @@
 
     <method name="mountMedium">
-      <rest name="mount" request="post" path="/vms/{vmid}/mediums/{mediumid}/actions/"/>
+      <rest name="mount" request="post" path="/vms/{vmid}/media/{mediumid}/actions/"/>
       <desc>
         Mounts a medium (<link to="IMedium" />, identified
@@ -8339,5 +8339,5 @@
 
     <method name="getMedium" const="yes">
-      <rest name="find" request="get" path="/vms/{vmid}/mediums/{mediumid}/"/>
+      <rest name="find" request="get" path="/vms/{vmid}/media/{mediumid}/"/>
       <desc>
         Returns the virtual medium attached to a device slot of the specified
@@ -18600,5 +18600,5 @@
 
     <method name="setIds" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         Changes the UUID and parent UUID for a hard disk medium.
@@ -18637,5 +18637,5 @@
 
     <method name="refreshState" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         If the current medium state (see <link to="MediumState"/>) is one of
@@ -18674,5 +18674,5 @@
 
     <method name="getSnapshotIds">
-      <rest request="get" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="get" path="/media/{mediumid}/configuration/"/>
       <desc>
         Returns an array of UUIDs of all snapshots of the given machine where
@@ -18704,5 +18704,5 @@
 
     <method name="lockRead">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         Locks this medium for reading.
@@ -18766,5 +18766,5 @@
 
     <method name="lockWrite">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         Locks this medium for writing.
@@ -18820,5 +18820,5 @@
 
     <method name="close" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Closes this medium.
@@ -18859,5 +18859,5 @@
 
     <method name="getProperty" const="yes">
-      <rest request="get" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="get" path="/media/{mediumid}/configuration/"/>
       <desc>
         Returns the value of the custom medium property with the given name.
@@ -18883,5 +18883,5 @@
 
     <method name="setProperty">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         Sets the value of the custom medium property with the given name.
@@ -18909,5 +18909,5 @@
 
     <method name="getProperties" const="yes">
-      <rest request="get" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="get" path="/media/{mediumid}/configuration/"/>
       <desc>
         Returns values for a group of properties in one call.
@@ -18946,5 +18946,5 @@
 
     <method name="setProperties">
-      <rest request="post" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="post" path="/media/{mediumid}/configuration/"/>
       <desc>
         Sets values for a group of properties in one call.
@@ -18981,5 +18981,5 @@
 
     <method name="createBaseStorage">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts creating a hard disk storage unit (fixed/dynamic, according
@@ -19016,5 +19016,5 @@
 
     <method name="deleteStorage">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts deleting the storage unit of this medium.
@@ -19063,5 +19063,5 @@
 
     <method name="createDiffStorage" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts creating an empty differencing storage unit based on this
@@ -19101,5 +19101,5 @@
 
     <method name="mergeTo">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts merging the contents of this medium and all intermediate
@@ -19184,5 +19184,5 @@
 
     <method name="cloneTo">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts creating a clone of this medium in the format and at the
@@ -19234,5 +19234,5 @@
 
     <method name="cloneToBase">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
     <desc>
     Starts creating a clone of this medium in the format and at the
@@ -19282,5 +19282,5 @@
 
     <method name="moveTo" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Changes the location of this medium. Some medium types may support
@@ -19319,5 +19319,5 @@
 
     <method name="compact">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts compacting of this medium. This means that the medium is
@@ -19346,5 +19346,5 @@
 
     <method name="resize">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts resizing this medium. This means that the nominal size of the
@@ -19378,5 +19378,5 @@
 
     <method name="reset" wrap-hint-server="passcaller">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts erasing the contents of this differencing medium.
@@ -19405,5 +19405,5 @@
 
     <method name="changeEncryption">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
       <desc>
         Starts encryption of this medium. This means that the stored data in the
@@ -19449,5 +19449,5 @@
 
     <method name="getEncryptionSettings" const="yes" wrap-hint-server="passcaller">
-      <rest request="get" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="get" path="/media/{mediumid}/configuration/"/>
       <desc>
         Returns the encryption settings for this medium.
@@ -19466,5 +19466,5 @@
 
     <method name="checkEncryptionPassword" const="yes">
-      <rest request="get" path="/mediums/{mediumid}/configuration/"/>
+      <rest request="get" path="/media/{mediumid}/configuration/"/>
       <desc>
         Checks whether the supplied password is correct for the medium.
@@ -19499,5 +19499,5 @@
 
     <method name="resizeAndCloneTo">
-      <rest request="post" path="/mediums/{mediumid}/actions/"/>
+      <rest request="post" path="/media/{mediumid}/actions/"/>
 
       <desc>
Index: trunk/src/VBox/Main/include/MachineImplMoveVM.h
===================================================================
--- trunk/src/VBox/Main/include/MachineImplMoveVM.h	(revision 98351)
+++ trunk/src/VBox/Main/include/MachineImplMoveVM.h	(revision 98352)
@@ -77,8 +77,8 @@
 {
     std::vector<ComObjPtr<Machine> >        machineList;
-    RTCList<MEDIUMTASKCHAINMOVE>            m_llMedias;
+    RTCList<MEDIUMTASKCHAINMOVE>            m_llMedia;
     RTCList<SNAPFILETASKMOVE>               m_llSaveStateFiles;
     RTCList<SNAPFILETASKMOVE>               m_llNVRAMFiles;
-    std::map<Utf8Str, MEDIUMTASKMOVE>       m_finalMediumsMap;
+    std::map<Utf8Str, MEDIUMTASKMOVE>       m_finalMediaMap;
     std::map<Utf8Str, SNAPFILETASKMOVE>     m_finalSaveStateFilesMap;
     std::map<Utf8Str, SNAPFILETASKMOVE>     m_finalNVRAMFilesMap;
@@ -127,5 +127,5 @@
     HRESULT createMachineList(const ComPtr<ISnapshot> &pSnapshot);
     inline HRESULT queryBaseName(const ComPtr<IMedium> &pMedium, Utf8Str &strBaseName) const;
-    HRESULT queryMediasForAllStates();
+    HRESULT queryMediaForAllStates();
     void updateProgressStats(MEDIUMTASKCHAINMOVE &mtc, ULONG &uCount, ULONG &uTotalWeight) const;
     HRESULT addSaveState(const ComObjPtr<Machine> &machine);
Index: trunk/src/VBox/Main/src-server/MachineImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/MachineImpl.cpp	(revision 98351)
+++ trunk/src/VBox/Main/src-server/MachineImpl.cpp	(revision 98352)
@@ -5382,8 +5382,8 @@
                      Progress *p,
                      const Utf8Str &t,
-                     const RTCList<ComPtr<IMedium> > &llMediums,
+                     const RTCList<ComPtr<IMedium> > &llMedia,
                      const StringsList &llFilesToDelete)
         : Task(m, p, t),
-          m_llMediums(llMediums),
+          m_llMedia(llMedia),
           m_llFilesToDelete(llFilesToDelete)
     {}
@@ -5402,5 +5402,5 @@
     }
 
-    RTCList<ComPtr<IMedium> >   m_llMediums;
+    RTCList<ComPtr<IMedium> >   m_llMedia;
     StringsList                 m_llFilesToDelete;
 
@@ -5452,7 +5452,7 @@
         i_setMachineState(MachineState_SettingUp);
         alock.release();
-        for (size_t i = 0; i < task.m_llMediums.size(); ++i)
-        {
-            ComObjPtr<Medium> pMedium = (Medium*)(IMedium*)(task.m_llMediums.at(i));
+        for (size_t i = 0; i < task.m_llMedia.size(); ++i)
+        {
+            ComObjPtr<Medium> pMedium = (Medium*)(IMedium*)(task.m_llMedia.at(i));
             {
                 AutoCaller mac(pMedium);
@@ -5601,5 +5601,5 @@
         llFilesToDelete.push_back(strTmp);
 
-    RTCList<ComPtr<IMedium> > llMediums;
+    RTCList<ComPtr<IMedium> > llMedia;
     for (size_t i = 0; i < aMedia.size(); ++i)
     {
@@ -5615,5 +5615,5 @@
          * deleted. */
         if (ids.size() < 1)
-            llMediums.append(pMedium);
+            llMedia.append(pMedium);
     }
 
@@ -5624,5 +5624,5 @@
                           tr("Deleting files"),
                           true /* fCancellable */,
-                          (ULONG)(1 + llMediums.size() + llFilesToDelete.size() + 1),    // cOperations
+                          (ULONG)(1 + llMedia.size() + llFilesToDelete.size() + 1),    // cOperations
                           tr("Collecting file inventory"));
     if (FAILED(hrc))
@@ -5631,5 +5631,5 @@
     /* create and start the task on a separate thread (note that it will not
      * start working until we release alock) */
-    DeleteConfigTask *pTask = new DeleteConfigTask(this, pProgress, "DeleteVM", llMediums, llFilesToDelete);
+    DeleteConfigTask *pTask = new DeleteConfigTask(this, pProgress, "DeleteVM", llMedia, llFilesToDelete);
     hrc = pTask->createThread();
     pTask = NULL;
Index: trunk/src/VBox/Main/src-server/MachineImplCloneVM.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/MachineImplCloneVM.cpp	(revision 98351)
+++ trunk/src/VBox/Main/src-server/MachineImplCloneVM.cpp	(revision 98352)
@@ -121,10 +121,10 @@
     inline HRESULT addNVRAM(const ComObjPtr<Machine> &machine, bool fAttachCurrent, ULONG &uCount, ULONG &uTotalWeight);
     inline HRESULT queryBaseName(const ComPtr<IMedium> &pMedium, Utf8Str &strBaseName) const;
-    HRESULT queryMediasForMachineState(const RTCList<ComObjPtr<Machine> > &machineList,
-                                       bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight);
-    HRESULT queryMediasForMachineAndChildStates(const RTCList<ComObjPtr<Machine> > &machineList,
-                                                bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight);
-    HRESULT queryMediasForAllStates(const RTCList<ComObjPtr<Machine> > &machineList, bool fAttachLinked, ULONG &uCount,
-                                    ULONG &uTotalWeight);
+    HRESULT queryMediaForMachineState(const RTCList<ComObjPtr<Machine> > &machineList,
+                                      bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight);
+    HRESULT queryMediaForMachineAndChildStates(const RTCList<ComObjPtr<Machine> > &machineList,
+                                               bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight);
+    HRESULT queryMediaForAllStates(const RTCList<ComObjPtr<Machine> > &machineList, bool fAttachLinked, ULONG &uCount,
+                                   ULONG &uTotalWeight);
 
     /* MachineCloneVM::run helper: */
@@ -154,5 +154,5 @@
     CloneMode_T                 mode;
     RTCList<CloneOptions_T>     options;
-    RTCList<MEDIUMTASKCHAIN>    llMedias;
+    RTCList<MEDIUMTASKCHAIN>    llMedia;
     RTCList<FILECOPYTASK>       llSaveStateFiles; /* Snapshot UUID -> File path */
     RTCList<FILECOPYTASK>       llNVRAMFiles; /* Snapshot UUID -> File path */
@@ -299,6 +299,6 @@
 }
 
-HRESULT MachineCloneVMPrivate::queryMediasForMachineState(const RTCList<ComObjPtr<Machine> > &machineList,
-                                                          bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
+HRESULT MachineCloneVMPrivate::queryMediaForMachineState(const RTCList<ComObjPtr<Machine> > &machineList,
+                                                         bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
 {
     /* This mode is pretty straightforward. We didn't need to know about any
@@ -371,5 +371,5 @@
             updateProgressStats(mtc, fAttachLinked, uCount, uTotalWeight);
             /* Append the list of images which have  to be cloned. */
-            llMedias.append(mtc);
+            llMedia.append(mtc);
         }
         /* Add the save state file of this machine if there is one. */
@@ -384,6 +384,6 @@
 }
 
-HRESULT MachineCloneVMPrivate::queryMediasForMachineAndChildStates(const RTCList<ComObjPtr<Machine> > &machineList,
-                                                                   bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
+HRESULT MachineCloneVMPrivate::queryMediaForMachineAndChildStates(const RTCList<ComObjPtr<Machine> > &machineList,
+                                                                  bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
 {
     /* This is basically a three step approach. First select all media
@@ -480,5 +480,5 @@
             }
 
-            llMedias.append(mtc);
+            llMedia.append(mtc);
         }
         /* Add the save state file of this machine if there is one. */
@@ -501,8 +501,8 @@
      * that in the previous loop, cause there we go from child -> parent and
      * didn't know how many are between. */
-    for (size_t i = 0; i < llMedias.size(); ++i)
+    for (size_t i = 0; i < llMedia.size(); ++i)
     {
         uint32_t uIdx = 0;
-        MEDIUMTASKCHAIN &mtc = llMedias.at(i);
+        MEDIUMTASKCHAIN &mtc = llMedia.at(i);
         for (size_t a = mtc.chain.size(); a > 0; --a)
             mtc.chain[a - 1].uIdx = uIdx++;
@@ -524,7 +524,7 @@
      * children knows of the new parent (which doesn't necessarily mean it
      * is a direct children in the source chain). */
-    for (size_t i = 0; i < llMedias.size(); ++i)
-    {
-        MEDIUMTASKCHAIN &mtc = llMedias.at(i);
+    for (size_t i = 0; i < llMedia.size(); ++i)
+    {
+        MEDIUMTASKCHAIN &mtc = llMedia.at(i);
         RTCList<MEDIUMTASK> newChain;
         uint32_t used = 0;
@@ -562,6 +562,6 @@
 }
 
-HRESULT MachineCloneVMPrivate::queryMediasForAllStates(const RTCList<ComObjPtr<Machine> > &machineList,
-                                                       bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
+HRESULT MachineCloneVMPrivate::queryMediaForAllStates(const RTCList<ComObjPtr<Machine> > &machineList,
+                                                      bool fAttachLinked, ULONG &uCount, ULONG &uTotalWeight)
 {
     /* In this case we create a exact copy of the original VM. This means just
@@ -633,5 +633,5 @@
             updateProgressStats(mtc, fAttachLinked, uCount, uTotalWeight);
             /* Append the list of images which have  to be cloned. */
-            llMedias.append(mtc);
+            llMedia.append(mtc);
         }
         /* Add the save state file of this machine if there is one. */
@@ -654,8 +654,8 @@
      * that in the previous loop, cause there we go from child -> parent and
      * didn't know how many are between. */
-    for (size_t i = 0; i < llMedias.size(); ++i)
+    for (size_t i = 0; i < llMedia.size(); ++i)
     {
         uint32_t uIdx = 0;
-        MEDIUMTASKCHAIN &mtc = llMedias.at(i);
+        MEDIUMTASKCHAIN &mtc = llMedia.at(i);
         for (size_t a = mtc.chain.size(); a > 0; --a)
             mtc.chain[a - 1].uIdx = uIdx++;
@@ -1027,11 +1027,11 @@
         {
             case CloneMode_MachineState:
-                d->queryMediasForMachineState(machineList, fAttachLinked, uCount, uTotalWeight);
+                d->queryMediaForMachineState(machineList, fAttachLinked, uCount, uTotalWeight);
                 break;
             case CloneMode_MachineAndChildStates:
-                d->queryMediasForMachineAndChildStates(machineList, fAttachLinked, uCount, uTotalWeight);
+                d->queryMediaForMachineAndChildStates(machineList, fAttachLinked, uCount, uTotalWeight);
                 break;
             case CloneMode_AllStates:
-                d->queryMediasForAllStates(machineList, fAttachLinked, uCount, uTotalWeight);
+                d->queryMediaForAllStates(machineList, fAttachLinked, uCount, uTotalWeight);
                 break;
 #ifdef VBOX_WITH_XPCOM_CPP_ENUM_HACK
@@ -1095,5 +1095,5 @@
     RTCList<ComObjPtr<Medium> > newMedia;   /* All created images */
     RTCList<Utf8Str> newFiles;              /* All extra created files (save states, ...) */
-    std::set<ComObjPtr<Medium> > pMediumsForNotify;
+    std::set<ComObjPtr<Medium> > pMediaForNotify;
     std::map<Guid, DeviceType_T> uIdsForNotify;
     try
@@ -1190,7 +1190,7 @@
         TStrMediumMap map;
         size_t cDisks = 0;
-        for (size_t i = 0; i < d->llMedias.size(); ++i)
-        {
-            const MEDIUMTASKCHAIN &mtc = d->llMedias.at(i);
+        for (size_t i = 0; i < d->llMedia.size(); ++i)
+        {
+            const MEDIUMTASKCHAIN &mtc = d->llMedia.at(i);
             ComObjPtr<Medium> pNewParent;
             uint32_t uSrcParentIdx = UINT32_MAX;
@@ -1233,5 +1233,5 @@
                         /* diff image has to be used... */
                         pNewParent = pDiff;
-                        pMediumsForNotify.insert(pDiff->i_getParent());
+                        pMediaForNotify.insert(pDiff->i_getParent());
                         uIdsForNotify[pDiff->i_getId()] = pDiff->i_getDeviceType();
                     }
@@ -1435,5 +1435,5 @@
                     /* diff image has to be used... */
                     pNewParent = pDiff;
-                    pMediumsForNotify.insert(pDiff->i_getParent());
+                    pMediaForNotify.insert(pDiff->i_getParent());
                     uIdsForNotify[pDiff->i_getId()] = pDiff->i_getDeviceType();
                 }
@@ -1673,6 +1673,6 @@
             p->mParent->i_onMediumRegistered(it->first, it->second, TRUE);
         }
-        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediumsForNotify.begin();
-             it != pMediumsForNotify.end();
+        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediaForNotify.begin();
+             it != pMediaForNotify.end();
              ++it)
         {
Index: trunk/src/VBox/Main/src-server/MachineImplMoveVM.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/MachineImplMoveVM.cpp	(revision 98351)
+++ trunk/src/VBox/Main/src-server/MachineImplMoveVM.cpp	(revision 98352)
@@ -321,16 +321,16 @@
     ULONG uTotalWeight = 1;
 
-    /* The lists m_llMedias, m_llSaveStateFiles and m_llNVRAMFiles are filled in the queryMediasForAllStates() */
-    hrc = queryMediasForAllStates();
+    /* The lists m_llMedia, m_llSaveStateFiles and m_llNVRAMFiles are filled in the queryMediaForAllStates() */
+    hrc = queryMediaForAllStates();
     if (FAILED(hrc))
         return hrc;
 
-    /* Calculate the total size of images. Fill m_finalMediumsMap */
+    /* Calculate the total size of images. Fill m_finalMediaMap */
     { /** The scope here for better reading, apart from that the variables have limited scope too */
-        uint64_t totalMediumsSize = 0;
-
-        for (size_t i = 0; i < m_llMedias.size(); ++i)
-        {
-            MEDIUMTASKCHAINMOVE &mtc = m_llMedias.at(i);
+        uint64_t totalMediaSize = 0;
+
+        for (size_t i = 0; i < m_llMedia.size(); ++i)
+        {
+            MEDIUMTASKCHAINMOVE &mtc = m_llMedia.at(i);
             for (size_t a = mtc.chain.size(); a > 0; --a)
             {
@@ -353,5 +353,5 @@
 
                     std::pair<std::map<Utf8Str, MEDIUMTASKMOVE>::iterator,bool> ret;
-                    ret = m_finalMediumsMap.insert(std::make_pair(name, mtc.chain[a - 1]));
+                    ret = m_finalMediaMap.insert(std::make_pair(name, mtc.chain[a - 1]));
                     if (ret.second == true)
                     {
@@ -359,5 +359,5 @@
                         ++uCount;
                         uTotalWeight += mtc.chain[a - 1].uWeight;
-                        totalMediumsSize += (uint64_t)cbSize;
+                        totalMediaSize += (uint64_t)cbSize;
                         Log2(("Image %s was added into the moved list\n", name.c_str()));
                     }
@@ -366,6 +366,6 @@
         }
 
-        Log2(("Total Size of images is %lld bytes\n", totalMediumsSize));
-        neededFreeSpace += totalMediumsSize;
+        Log2(("Total Size of images is %lld bytes\n", totalMediaSize));
+        neededFreeSpace += totalMediaSize;
     }
 
@@ -666,5 +666,5 @@
     {
         /* Move all disks */
-        hrc = taskMoveVM->moveAllDisks(taskMoveVM->m_finalMediumsMap, strTargetFolder);
+        hrc = taskMoveVM->moveAllDisks(taskMoveVM->m_finalMediaMap, strTargetFolder);
         if (FAILED(hrc))
             throw hrc;
@@ -1008,5 +1008,5 @@
                 taskMoveVM->m_pProgress->SetNextOperation(BstrFmt(tr("Skip the empty operation %d..."), i + 1).raw(), 1);
 
-            hrc = taskMoveVM->moveAllDisks(taskMoveVM->m_finalMediumsMap);
+            hrc = taskMoveVM->moveAllDisks(taskMoveVM->m_finalMediaMap);
             if (FAILED(hrc))
                 throw hrc;
@@ -1098,5 +1098,5 @@
          * because we doubled the number of operations for rollback case.
          * But if we want to update the progress object corectly it's needed to add all medium moved by standard
-         * "move medium" logic (for us it's taskMoveVM->m_finalMediumsMap) to the current number of operation.
+         * "move medium" logic (for us it's taskMoveVM->m_finalMediaMap) to the current number of operation.
          */
 
@@ -1106,5 +1106,5 @@
         hrc = taskMoveVM->m_pProgress->COMGETTER(Operation)(&operation);
 
-        for (ULONG i = operation; i < operation + taskMoveVM->m_finalMediumsMap.size() - 1; ++i)
+        for (ULONG i = operation; i < operation + taskMoveVM->m_finalMediaMap.size() - 1; ++i)
             taskMoveVM->m_pProgress->SetNextOperation(BstrFmt(tr("Skip the empty operation %d..."), i).raw(), 1);
 
@@ -1436,5 +1436,5 @@
 }
 
-HRESULT MachineMoveVM::queryMediasForAllStates()
+HRESULT MachineMoveVM::queryMediaForAllStates()
 {
     /* In this case we create a exact copy of the original VM. This means just
@@ -1525,5 +1525,5 @@
             }
 
-            m_llMedias.append(mtc);
+            m_llMedia.append(mtc);
         }
 
@@ -1540,8 +1540,8 @@
      * that in the previous loop, cause there we go from child -> parent and
      * didn't know how many are between. */
-    for (size_t i = 0; i < m_llMedias.size(); ++i)
+    for (size_t i = 0; i < m_llMedia.size(); ++i)
     {
         uint32_t uIdx = 0;
-        MEDIUMTASKCHAINMOVE &mtc = m_llMedias.at(i);
+        MEDIUMTASKCHAINMOVE &mtc = m_llMedia.at(i);
         for (size_t a = mtc.chain.size(); a > 0; --a)
             mtc.chain[a - 1].uIdx = uIdx++;
Index: trunk/src/VBox/Main/src-server/MediumImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/MediumImpl.cpp	(revision 98351)
+++ trunk/src/VBox/Main/src-server/MediumImpl.cpp	(revision 98352)
@@ -9512,5 +9512,5 @@
     HRESULT hrc2;
 
-    std::set<ComObjPtr<Medium> > pMediumsForNotify;
+    std::set<ComObjPtr<Medium> > pMediaForNotify;
     std::map<Guid, DeviceType_T> uIdsForNotify;
 
@@ -9537,5 +9537,5 @@
                 i_deparent();
                 if (task.NotifyAboutChanges())
-                    pMediumsForNotify.insert(task.mParentForTarget);
+                    pMediaForNotify.insert(task.mParentForTarget);
             }
 
@@ -9574,8 +9574,8 @@
 
                     if (task.NotifyAboutChanges())
-                        pMediumsForNotify.insert(pMedium);
+                        pMediaForNotify.insert(pMedium);
                 }
             }
-            pMediumsForNotify.insert(pTarget);
+            pMediaForNotify.insert(pTarget);
         }
 
@@ -9666,6 +9666,6 @@
     else if (task.NotifyAboutChanges())
     {
-        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediumsForNotify.begin();
-             it != pMediumsForNotify.end();
+        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediaForNotify.begin();
+             it != pMediaForNotify.end();
              ++it)
         {
Index: trunk/src/VBox/Main/src-server/SnapshotImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/SnapshotImpl.cpp	(revision 98351)
+++ trunk/src/VBox/Main/src-server/SnapshotImpl.cpp	(revision 98352)
@@ -1763,5 +1763,5 @@
     BOOL fSuspendedBySave     = FALSE;
 
-    std::set<ComObjPtr<Medium> > pMediumsForNotify;
+    std::set<ComObjPtr<Medium> > pMediaForNotify;
     std::map<Guid, DeviceType_T> uIdsForNotify;
 
@@ -1949,5 +1949,5 @@
                 if (!fFound)
                 {
-                    pMediumsForNotify.insert(pMedium->i_getParent());
+                    pMediaForNotify.insert(pMedium->i_getParent());
                     uIdsForNotify[pMedium->i_getId()] = pMedium->i_getDeviceType();
                 }
@@ -2065,6 +2065,6 @@
         }
 
-        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediumsForNotify.begin();
-             it != pMediumsForNotify.end();
+        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediaForNotify.begin();
+             it != pMediaForNotify.end();
              ++it)
         {
@@ -2329,5 +2329,5 @@
     HRESULT hrc = S_OK;
     Guid snapshotId;
-    std::set<ComObjPtr<Medium> > pMediumsForNotify;
+    std::set<ComObjPtr<Medium> > pMediaForNotify;
     std::map<Guid, std::pair<DeviceType_T, BOOL> > uIdsForNotify;
 
@@ -2461,5 +2461,5 @@
                 if (!fFound)
                 {
-                    pMediumsForNotify.insert(pMedium->i_getParent());
+                    pMediaForNotify.insert(pMedium->i_getParent());
                     uIdsForNotify[pMedium->i_getId()] = std::pair<DeviceType_T, BOOL>(pMedium->i_getDeviceType(), TRUE);
                 }
@@ -2571,5 +2571,5 @@
             if (SUCCEEDED(hrc2))
             {
-                pMediumsForNotify.insert(pParent);
+                pMediaForNotify.insert(pParent);
                 uIdsForNotify[id] = std::pair<DeviceType_T, BOOL>(pMedium->i_getDeviceType(), FALSE);
                 pMedium->uninit();
@@ -2609,6 +2609,6 @@
             mParent->i_onMediumRegistered(it->first, it->second.first, it->second.second);
         }
-        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediumsForNotify.begin();
-             it != pMediumsForNotify.end();
+        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediaForNotify.begin();
+             it != pMediaForNotify.end();
              ++it)
         {
@@ -2972,5 +2972,5 @@
     MediumDeleteRecList toDelete;
     Guid snapshotId;
-    std::set<ComObjPtr<Medium> > pMediumsForNotify;
+    std::set<ComObjPtr<Medium> > pMediaForNotify;
     std::map<Guid,DeviceType_T> uIdsForNotify;
 
@@ -3345,5 +3345,5 @@
                         throw hrc;
 
-                    pMediumsForNotify.insert(pParent);
+                    pMediaForNotify.insert(pParent);
                     uIdsForNotify[uMedium] = uMediumType;
 
@@ -3356,7 +3356,7 @@
                 {
                     //store ids before merging for notify
-                    pMediumsForNotify.insert(it->mpTarget);
+                    pMediaForNotify.insert(it->mpTarget);
                     if (it->mfMergeForward)
-                        pMediumsForNotify.insert(it->mpSource->i_getParent());
+                        pMediaForNotify.insert(it->mpSource->i_getParent());
                     else
                     {
@@ -3366,5 +3366,5 @@
                              ++iit)
                         {
-                            pMediumsForNotify.insert(*iit);
+                            pMediaForNotify.insert(*iit);
                         }
                     }
@@ -3605,6 +3605,6 @@
             mParent->i_onMediumRegistered(it->first, it->second, FALSE);
         }
-        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediumsForNotify.begin();
-             it != pMediumsForNotify.end();
+        for (std::set<ComObjPtr<Medium> >::const_iterator it = pMediaForNotify.begin();
+             it != pMediaForNotify.end();
              ++it)
         {