Index: trunk/src/VBox/HostServices/DragAndDrop/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/DragAndDrop/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/DragAndDrop/Makefile.kmk	(revision 98415)
@@ -50,6 +50,6 @@
 
 VBoxDragAndDropSvc_SOURCES += \
-    ../common/client.cpp \
-    ../common/message.cpp
+	../common/client.cpp \
+	../common/message.cpp
 
 VBoxDragAndDropSvc_SOURCES.win = \
Index: trunk/src/VBox/HostServices/GuestControl/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/GuestControl/testcase/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/GuestControl/testcase/Makefile.kmk	(revision 98415)
@@ -43,9 +43,9 @@
  tstGuestControlSvc_DEFS     = VBOX_WITH_HGCM VBOX_GUEST_CONTROL_TEST_NOTHREAD
  tstGuestControlSvc_SOURCES  = \
-	../VBoxGuestControlSvc.cpp \
-	tstGuestControlSvc.cpp
+ 	../VBoxGuestControlSvc.cpp \
+ 	tstGuestControlSvc.cpp
  tstGuestControlSvc_LIBS     = $(LIB_RUNTIME)
 
-$$(tstGuestControlSvc_0_OUTDIR)/tstGuestControlSvc.run: $$(tstGuestControlSvc_1_STAGE_TARGET)
+ $$(tstGuestControlSvc_0_OUTDIR)/tstGuestControlSvc.run: $$(tstGuestControlSvc_1_STAGE_TARGET)
 	export VBOX_LOG_DEST=nofile; $(tstGuestControlSvc_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"
Index: trunk/src/VBox/HostServices/GuestProperties/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/GuestProperties/testcase/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/GuestProperties/testcase/Makefile.kmk	(revision 98415)
@@ -43,9 +43,9 @@
  tstGuestPropSvc_DEFS     = VBOX_WITH_HGCM VBOX_GUEST_PROP_TEST_NOTHREAD
  tstGuestPropSvc_SOURCES  = \
-	tstGuestPropSvc.cpp \
-	../VBoxGuestPropSvc.cpp
+ 	tstGuestPropSvc.cpp \
+ 	../VBoxGuestPropSvc.cpp
  tstGuestPropSvc_LIBS     = $(LIB_RUNTIME)
 
-$$(tstGuestPropSvc_0_OUTDIR)/tstGuestPropSvc.run: $$(tstGuestPropSvc_1_STAGE_TARGET)
+ $$(tstGuestPropSvc_0_OUTDIR)/tstGuestPropSvc.run: $$(tstGuestPropSvc_1_STAGE_TARGET)
 	export VBOX_LOG_DEST=nofile; $(tstGuestPropSvc_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"
Index: trunk/src/VBox/HostServices/SharedClipboard/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/SharedClipboard/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/SharedClipboard/Makefile.kmk	(revision 98415)
@@ -58,25 +58,25 @@
   VBoxSharedClipboard_DEFS    += VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS_HTTP
   VBoxSharedClipboard_SOURCES += \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers-http.cpp
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers-http.cpp
  endif
  VBoxSharedClipboard_DEFS    += VBOX_WITH_SHARED_CLIPBOARD_HOST
  VBoxSharedClipboard_SOURCES += \
-	VBoxSharedClipboardSvc-transfers.cpp \
-	VBoxSharedClipboardSvc-utils.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardPath.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
+ 	VBoxSharedClipboardSvc-transfers.cpp \
+ 	VBoxSharedClipboardSvc-utils.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardPath.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
  VBoxSharedClipboard_SOURCES.win += \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardDataObjectImpl-win.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardEnumFormatEtcImpl-win.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardStreamImpl-win.cpp
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardDataObjectImpl-win.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardEnumFormatEtcImpl-win.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/ClipboardStreamImpl-win.cpp
 endif
 if1of ($(KBUILD_TARGET), linux solaris freebsd) ## @todo X11
  ifndef VBOX_HEADLESS
   VBoxSharedClipboard_SOURCES += \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-x11.cpp \
-	VBoxSharedClipboardSvc-x11.cpp
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-x11.cpp \
+  	VBoxSharedClipboardSvc-x11.cpp
  else
   VBoxSharedClipboard_SOURCES += \
-	VBoxSharedClipboardSvc-x11-stubs.cpp
+  	VBoxSharedClipboardSvc-x11-stubs.cpp
  endif
 endif
@@ -87,8 +87,8 @@
  ifndef VBOX_HEADLESS
   VBoxSharedClipboard_LIBPATH = \
-	$(VBOX_LIBPATH_X11)
+  	$(VBOX_LIBPATH_X11)
   VBoxSharedClipboard_LIBS += \
-	Xt \
-	X11
+  	Xt \
+  	X11
  endif
 endif
@@ -99,18 +99,18 @@
 if 0 ## Disabled for now; needs to be adapted to the new protocol first.
  if defined(VBOX_WITH_TESTCASES) && !defined(VBOX_ONLY_ADDITIONS) && !defined(VBOX_ONLY_SDK)
- if1of ($(KBUILD_TARGET), freebsd linux netbsd openbsd solaris)
- #
- # Set this in LocalConfig.kmk if you are working on the X11 clipboard service
- # to automatically run the unit test at build time.
- #       OTHERS += $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
- PROGRAMS += tstClipboardX11-2
- TESTING += $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
- tstClipboardX11-2_TEMPLATE = VBoxR3TstExe
- tstClipboardX11-2_DEFS     = VBOX_WITH_HGCM TESTCASE
- tstClipboardX11-2_SOURCES  = VBoxSharedClipboardSvc-x11.cpp
- tstClipboardX11-2_LIBS     = $(LIB_RUNTIME)
- tstClipboardX11-2_CLEAN    = $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
+  if1of ($(KBUILD_TARGET), freebsd linux netbsd openbsd solaris)
+   #
+   # Set this in LocalConfig.kmk if you are working on the X11 clipboard service
+   # to automatically run the unit test at build time.
+   #       OTHERS += $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
+   PROGRAMS += tstClipboardX11-2
+   TESTING += $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
+   tstClipboardX11-2_TEMPLATE = VBoxR3TstExe
+   tstClipboardX11-2_DEFS   = VBOX_WITH_HGCM TESTCASE
+   tstClipboardX11-2_SOURCES = VBoxSharedClipboardSvc-x11.cpp
+   tstClipboardX11-2_LIBS   = $(LIB_RUNTIME)
+   tstClipboardX11-2_CLEAN  = $(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run
 
-$$(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run: $$(tstClipboardX11-2_1_STAGE_TARGET)
+   $$(tstClipboardX11-2_0_OUTDIR)/tstClipboardX11-2.run: $$(tstClipboardX11-2_1_STAGE_TARGET)
 	export VBOX_LOG_DEST=nofile; $(tstClipboardX11-2_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"
Index: trunk/src/VBox/HostServices/SharedClipboard/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/SharedClipboard/testcase/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/SharedClipboard/testcase/Makefile.kmk	(revision 98415)
@@ -31,56 +31,56 @@
 if defined(VBOX_WITH_TESTCASES) && !defined(VBOX_ONLY_ADDITIONS) && !defined(VBOX_ONLY_SDK)
 
-#
-# Testcase which mocks HGCM to also test the VbglR3-side of Shared Clipboard.
-#
-# Goal is to use and test as much guest side code as possible as a self-contained
-# binary on the host here.
-#
-# Note: No #ifdef TESTCASE hacks or similar allowed, has to run
-#       without #ifdef modifications to the core code!
-#
-tstClipboardMockHGCM_TEMPLATE = VBoxR3TstExe
-tstClipboardMockHGCM_DEFS     = VBOX_WITH_HGCM VBOX_WITH_SHARED_CLIPBOARD
-tstClipboardMockHGCM_SOURCES  = \
-	../VBoxSharedClipboardSvc.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
-	$(PATH_ROOT)/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR3LibClipboard.cpp \
-	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
-	tstClipboardMockHGCM.cpp
-tstClipboardMockHGCM_LIBS     = $(LIB_RUNTIME)
+ #
+ # Testcase which mocks HGCM to also test the VbglR3-side of Shared Clipboard.
+ #
+ # Goal is to use and test as much guest side code as possible as a self-contained
+ # binary on the host here.
+ #
+ # Note: No #ifdef TESTCASE hacks or similar allowed, has to run
+ #       without #ifdef modifications to the core code!
+ #
+ tstClipboardMockHGCM_TEMPLATE = VBoxR3TstExe
+ tstClipboardMockHGCM_DEFS    = VBOX_WITH_HGCM VBOX_WITH_SHARED_CLIPBOARD
+ tstClipboardMockHGCM_SOURCES = \
+ 	../VBoxSharedClipboardSvc.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
+ 	$(PATH_ROOT)/src/VBox/Additions/common/VBoxGuest/lib/VBoxGuestR3LibClipboard.cpp \
+ 	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
+ 	tstClipboardMockHGCM.cpp
+ tstClipboardMockHGCM_LIBS    = $(LIB_RUNTIME)
 
-if1of ($(KBUILD_TARGET), linux solaris)
- PROGRAMS += tstClipboardMockHGCM
- tstClipboardMockHGCM_SOURCES += \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-x11.cpp \
-	../VBoxSharedClipboardSvc-x11.cpp
- tstClipboardMockHGCM_LIBPATH  = \
-	$(VBOX_LIBPATH_X11)
- tstClipboardMockHGCM_LIBS    += \
-	Xt \
-	X11
-endif
-if1of ($(KBUILD_TARGET), win)
- PROGRAMS += tstClipboardMockHGCM
- tstClipboardMockHGCM_SOURCES += \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-win.cpp \
-	../VBoxSharedClipboardSvc-win.cpp
-endif
+ if1of ($(KBUILD_TARGET), linux solaris)
+  PROGRAMS += tstClipboardMockHGCM
+  tstClipboardMockHGCM_SOURCES += \
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-x11.cpp \
+  	../VBoxSharedClipboardSvc-x11.cpp
+  tstClipboardMockHGCM_LIBPATH = \
+  	$(VBOX_LIBPATH_X11)
+  tstClipboardMockHGCM_LIBS   += \
+  	Xt \
+  	X11
+ endif
+ if1of ($(KBUILD_TARGET), win)
+  PROGRAMS += tstClipboardMockHGCM
+  tstClipboardMockHGCM_SOURCES += \
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-win.cpp \
+  	../VBoxSharedClipboardSvc-win.cpp
+ endif
 
-tstClipboardMockHGCM_CLEAN = $(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run
+ tstClipboardMockHGCM_CLEAN = $(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run
 
-if defined(VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS)
- tstClipboardMockHGCM_DEFS    += VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS
- tstClipboardMockHGCM_SOURCES += \
-	../VBoxSharedClipboardSvc-transfers.cpp \
- $(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
-endif
+ if defined(VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS)
+  tstClipboardMockHGCM_DEFS   += VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS
+  tstClipboardMockHGCM_SOURCES += \
+  	../VBoxSharedClipboardSvc-transfers.cpp \
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
+ endif
 
-if 0 # Enable this if you want automatic runs after compilation.
- $$(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run: $$(tstClipboardMockHGCM_1_STAGE_TARGET)
+ if 0 # Enable this if you want automatic runs after compilation.
+  $$(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run: $$(tstClipboardMockHGCM_1_STAGE_TARGET)
 	export VBOX_LOG_DEST=nofile; $(tstClipboardMockHGCM_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"
- OTHERS += $(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run
-endif
+  OTHERS += $(tstClipboardMockHGCM_0_OUTDIR)/tstClipboardMockHGCM.run
+ endif
 
  #
@@ -91,8 +91,8 @@
  tstClipboardServiceHost_DEFS     = VBOX_WITH_HGCM UNIT_TEST
  tstClipboardServiceHost_SOURCES  = \
-	../VBoxSharedClipboardSvc.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
-	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
-	tstClipboardServiceHost.cpp
+ 	../VBoxSharedClipboardSvc.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
+ 	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
+ 	tstClipboardServiceHost.cpp
  tstClipboardServiceHost_LIBS     = $(LIB_RUNTIME)
  tstClipboardServiceHost_CLEAN    = $(tstClipboardServiceHost_0_OUTDIR)/tstClipboardServiceHost.run
@@ -101,6 +101,6 @@
   tstClipboardServiceHost_DEFS    += VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS
   tstClipboardServiceHost_SOURCES += \
-	../VBoxSharedClipboardSvc-transfers.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
+  	../VBoxSharedClipboardSvc-transfers.cpp \
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp
  endif
 
@@ -112,10 +112,10 @@
  tstClipboardServiceImpl_DEFS     = VBOX_WITH_HGCM UNIT_TEST
  tstClipboardServiceImpl_SOURCES  = \
-	../VBoxSharedClipboardSvc.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
-	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
-	tstClipboardServiceImpl.cpp
+ 	../VBoxSharedClipboardSvc.cpp \
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
+ 	$(PATH_ROOT)/src/VBox/HostServices/common/message.cpp \
+ 	tstClipboardServiceImpl.cpp
  tstClipboardServiceImpl_SOURCES.win = \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-win.cpp
+ 	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-win.cpp
  tstClipboardServiceImpl_LIBS     = $(LIB_RUNTIME)
  tstClipboardServiceImpl_CLEAN    = $(tstClipboardServiceImpl_0_OUTDIR)/tstClipboardServiceImpl.run
@@ -129,7 +129,7 @@
   tstClipboardTransfers_DEFS     = VBOX_WITH_HGCM UNIT_TEST VBOX_WITH_SHARED_CLIPBOARD_TRANSFERS
   tstClipboardTransfers_SOURCES  = \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
-	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp \
-	tstClipboardTransfers.cpp
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-common.cpp \
+  	$(PATH_ROOT)/src/VBox/GuestHost/SharedClipboard/clipboard-transfers.cpp \
+  	tstClipboardTransfers.cpp
  endif
 endif
@@ -141,5 +141,5 @@
  if1of ($(KBUILD_TARGET), linux solaris win)
   VALKIT_UNITTESTS_WHITELIST_GUEST_ADDITIONS += \
- 	tstClipboardMockHGCM
+  	tstClipboardMockHGCM
  endif
 endif # VBOX_WITH_VALIDATIONKIT_UNITTESTS_PACKING
Index: trunk/src/VBox/HostServices/SharedFolders/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/SharedFolders/testcase/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/SharedFolders/testcase/Makefile.kmk	(revision 98415)
@@ -37,5 +37,5 @@
  ifeq ($(KBUILD_TARGET),$(KBUILD_HOST))
   if1of ($(KBUILD_TARGET_ARCH).$(KBUILD_HOST_ARCH), x86.x86 amd64.amd64 x86.amd64)
-    OTHERS += $(tstShflSizes_0_OUTDIR)/tstShflSizes.run
+   OTHERS  += $(tstShflSizes_0_OUTDIR)/tstShflSizes.run
   endif
  endif
@@ -52,49 +52,49 @@
 
 ifdef VBOX_WITH_TESTCASES
-#
-# Case conversion testcase.
-#
-PROGRAMS += tstShflCase
-tstShflCase_TEMPLATE = VBoxR3TstExe
-tstShflCase_DEFS     = VBOX_WITH_HGCM
-tstShflCase_SOURCES  = tstShflCase.cpp
-tstShflCase_LIBS     = $(LIB_RUNTIME)
+ #
+ # Case conversion testcase.
+ #
+ PROGRAMS += tstShflCase
+ tstShflCase_TEMPLATE = VBoxR3TstExe
+ tstShflCase_DEFS    = VBOX_WITH_HGCM
+ tstShflCase_SOURCES = tstShflCase.cpp
+ tstShflCase_LIBS    = $(LIB_RUNTIME)
 
-#
-# HGCM service testcase.
-#
+ #
+ # HGCM service testcase.
+ #
 
-PROGRAMS += tstSharedFolderService
-tstSharedFolderService_TEMPLATE = VBoxR3TstExe
-tstSharedFolderService_DEFS     = VBOX_WITH_HGCM UNITTEST
-tstSharedFolderService_INCS     = ..
-tstSharedFolderService_SOURCES  = \
-    tstSharedFolderService.cpp \
-    ../mappings.cpp \
-    ../VBoxSharedFoldersSvc.cpp \
-    ../shflhandle.cpp \
-    ../vbsfpathabs.cpp \
-    ../vbsfpath.cpp \
-    ../vbsf.cpp
-tstSharedFolderService_LDFLAGS.darwin = \
-	-framework Carbon
-tstSharedFolderService_LIBS     = $(LIB_RUNTIME)
+ PROGRAMS += tstSharedFolderService
+ tstSharedFolderService_TEMPLATE = VBoxR3TstExe
+ tstSharedFolderService_DEFS    = VBOX_WITH_HGCM UNITTEST
+ tstSharedFolderService_INCS    = ..
+ tstSharedFolderService_SOURCES = \
+ 	tstSharedFolderService.cpp \
+ 	../mappings.cpp \
+ 	../VBoxSharedFoldersSvc.cpp \
+ 	../shflhandle.cpp \
+ 	../vbsfpathabs.cpp \
+ 	../vbsfpath.cpp \
+ 	../vbsf.cpp
+ tstSharedFolderService_LDFLAGS.darwin = \
+ 	-framework Carbon
+ tstSharedFolderService_LIBS    = $(LIB_RUNTIME)
 
-if 0 # Cannot define two RT_OS_XXX macros!
-# As there are differences between the Windows build of the service and others,
-# we do an additional build with RT_OS_WINDOWS defined on non-Windows targets.
-PROGRAMS += \
-    tstSharedFolderService \
-    $(if $(eq $(KBUILD_TARGET),win),,tstSharedFolderService-win)
-tstSharedFolderService-win_TEMPLATE = $(tstSharedFolderService_TEMPLATE)
-tstSharedFolderService-win_DEFS     = \
-    $(tstSharedFolderService_DEFS) \
-    RT_OS_WINDOWS
-tstSharedFolderService-win_INCS     = $(tstSharedFolderService_INCS)
-tstSharedFolderService-win_SOURCES  = $(tstSharedFolderService_SOURCES)
-tstSharedFolderService-win_LDFLAGS.darwin = \
-    $(tstSharedFolderService_LDFLAGS.darwin)
-tstSharedFolderService-win_LIBS     = $(tstSharedFolderService_LIBS)
-endif
+ if 0 # Cannot define two RT_OS_XXX macros!
+  # As there are differences between the Windows build of the service and others,
+  # we do an additional build with RT_OS_WINDOWS defined on non-Windows targets.
+  PROGRAMS += \
+  	tstSharedFolderService \
+  	$(if $(eq $(KBUILD_TARGET),win),,tstSharedFolderService-win)
+  tstSharedFolderService-win_TEMPLATE = $(tstSharedFolderService_TEMPLATE)
+  tstSharedFolderService-win_DEFS   = \
+  	$(tstSharedFolderService_DEFS) \
+  	RT_OS_WINDOWS
+  tstSharedFolderService-win_INCS   = $(tstSharedFolderService_INCS)
+  tstSharedFolderService-win_SOURCES = $(tstSharedFolderService_SOURCES)
+  tstSharedFolderService-win_LDFLAGS.darwin = \
+  	$(tstSharedFolderService_LDFLAGS.darwin)
+  tstSharedFolderService-win_LIBS   = $(tstSharedFolderService_LIBS)
+ endif
 
 endif # VBOX_WITH_TESTCASES
Index: trunk/src/VBox/HostServices/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/HostServices/testcase/Makefile.kmk	(revision 98414)
+++ trunk/src/VBox/HostServices/testcase/Makefile.kmk	(revision 98415)
@@ -31,17 +31,17 @@
 if defined(VBOX_WITH_TESTCASES) && !defined(VBOX_ONLY_ADDITIONS) && !defined(VBOX_ONLY_SDK)
 
-  #
-  # Set this in LocalConfig.kmk if you are working on HGCM service internals
-  # to automatically run the unit test at build time:
-  #    OTHERS += $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
-  #
-  PROGRAMS += tstHGCMSvc
-  TESTING  += $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
-  tstHGCMSvc_TEMPLATE = VBoxR3TstExe
-  tstHGCMSvc_DEFS     = VBOX_WITH_HGCM VBOX_TEST_HGCM_PARMS
-  tstHGCMSvc_SOURCES  = tstHGCMSvc.cpp
-  tstHGCMSvc_CLEAN    = $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
+ #
+ # Set this in LocalConfig.kmk if you are working on HGCM service internals
+ # to automatically run the unit test at build time:
+ #    OTHERS += $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
+ #
+ PROGRAMS  += tstHGCMSvc
+ TESTING   += $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
+ tstHGCMSvc_TEMPLATE  = VBoxR3TstExe
+ tstHGCMSvc_DEFS      = VBOX_WITH_HGCM VBOX_TEST_HGCM_PARMS
+ tstHGCMSvc_SOURCES   = tstHGCMSvc.cpp
+ tstHGCMSvc_CLEAN     = $(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run
 
-$$(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run: $$(tstHGCMSvc_1_STAGE_TARGET)
+ $$(tstHGCMSvc_0_OUTDIR)/tstHGCMSvc.run: $$(tstHGCMSvc_1_STAGE_TARGET)
 	export VBOX_LOG_DEST=nofile; $(tstHGCMSvc_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"